GET/v1/platform-assets

Get platform images by id

The display renditions of platform images that a base template placed in a document (comma-separated ids, at most 100). Platform images are never listed with the organisation assets.

Scope templates.read

Query parameters

idsstringrequiredmin length 1max length 4000

Returns

1 fields of the 200 answer
dataarray of objectsrequired
7 fields
idstringrequired
namestringrequired
formatenumrequired
jpegpng
widthPxintegerrequired
heightPxintegerrequired
hasAlphabooleanrequired
urlsobjectrequired
2 fields
displaystringrequired
thumbstringrequired

Responses

200Success
401Authentication required or API key invalid
403Permission or scope missing, organisation suspended
422Validation failed
429Rate limited for this API key and class; wait Retry-After seconds
otherError (RFC 9457 problem details)